﻿.index-residence-box{
    width: 1920px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    overflow: hidden;
}
.index-residence-before{
    content: '';
    width: 0px;
    height: 0px;
    border-top: 200px solid transparent;
    border-left: 200px solid #f5f5f5;
    border-bottom: 200px solid transparent;
    position: absolute;
    top: -60px;
    left: 0;
    z-index: 0;
    transition: all .3s linear;
}
.index-residence-after{
    content: '';
    width: 0px;
    height: 0px;
    border-top: 200px solid transparent;
    border-right: 200px solid #f5f5f5;
    border-bottom: 200px solid transparent;
    position: absolute;
    bottom: -60px;
    right: 0;
    z-index: 0;
    transition: all .3s linear;
}
.index-residence-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding-top: 50px;
    padding-bottom: 80px;
    position: relative;
    z-index: 1;
}
.index-residence-title{
    font-size: 24px;
    font-family: "Noto Sans TC";
    letter-spacing: 0.1em;
    font-weight: 700;
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    padding-right: 50px;
}
.index-residence-title:before{
    content: '';
    width: calc(100% + 100px);
    height: 1px;
    display: block;
    position: absolute;
    background-color: #78cbbf;
    bottom: 0;
    right: 0;
}
.index-residence-title span{
    display: inline-block;
    color: #78cbbf;
    font-size: 30px;
    font-weight: 700;
}
.index-residence-text-box{
    margin: 50px 0;
}
.index-residence-text{
    margin-bottom: 20px;
}
.index-residence-text:last-child{
    margin-bottom: 0;
}
.index-residence-text-name{
    font-size: 18px;
    color: #333;
    font-weight: bold;
    letter-spacing: 0.06em;
    position: relative;
    box-sizing: border-box;
    padding-left: 20px;
}
.index-residence-text-name::before{
    content: '';
    width: 10px;
    height: 10px;
    display: block;
    background-color: #78cbbf;
    position: absolute;
    top: calc(50% - 5px);
    left: 0;
}
.index-residence-text-article{
    font-size: 16px;
    color: #333;
    letter-spacing: 0.06em;
    line-height: 2;
    box-sizing: border-box;
    padding: 0 20px;
}
.index-residence-icon{
    width: 210px;
    height: 210px;
    display: inline-block;
    vertical-align: top;
    background-color: rgba(120, 203, 191, 0.6);
    border-radius: 10px;
    box-sizing: border-box;
    padding: 20px;
    margin-right: calc(30px * 5 / 4);
    position: relative;
}
.index-residence-icon:last-child{
    margin-right: 0;
}
.index-residence-icon:after{
    content: '\f067';
    font-weight: bold;
    font-family: "Font Awesome 5 Free";
    font-size: 26px;
    color: #333;
    position: absolute;
    right: -30px;
    top: calc(50% - 20px);
}
.index-residence-icon:last-child::after{
    display: none;
}
.index-residence-icon-info-box{
    width: 100%;
    height: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    background-color: #fff;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
}
.index-residence-icon-info-text{
    font-size: 14px;
    color: #333;
    letter-spacing: 0.01em;
    display: block;
}
.index-residence-icon-info-img{
    width: 60px;
    height: 60px;
    display: block;
    margin-bottom: 10px;
}


@media only screen and (max-width: 1200px){
    .index-residence-all-box{
        width: 1000px;
    }
    .index-residence-icon{
        width: 170px;
        height: 170px;
    }
    .index-residence-icon-info-text{
        min-height: 44px;
    }
}
@media only screen and (max-width: 1000px){
    .index-residence-all-box{
        width: 95%;
    }
    .index-residence-icon{
        width: 100%;
        height: inherit;
        margin-bottom: 50px;
        margin-right: 0;
    }
    .index-residence-icon:after{
        right: calc(50% - 12px);
        top: calc(100% + 5px);
    }
    .index-residence-icon-info-text{
        min-height: inherit;
    }
}
@media only screen and (max-width: 550px){
    .index-residence-all-box{
        padding: 30px 0;
    }
    .index-residence-title span{
        font-size: 20px;
    }
    .index-residence-title{
        font-size: 16px;
    }
    .index-residence-text-box{
        margin: 20px 0;
    }
    .index-residence-text-name{
        font-size: 14px;
        padding-left: 10px;
    }
    .index-residence-text-name::before{
        width: 6px;
        height: 6px;
        top: calc(50% - 3px);
    }
    .index-residence-text-article{
        font-size: 12px;
        padding-left: 10px;
    }
    .index-residence-icon{
        padding: 10px;
        margin-bottom: 35px;
    }
    .index-residence-icon-info-img{
        width: 40px;
        height: 40px;
        margin-bottom: 5px;
    }
    .index-residence-icon-info-text{
        font-size: 12px;
    }
    .index-residence-icon:after{
        font-size: 18px;
    }
}







/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .index-residence-title,
    .index-residence-title::before,
    .index-residence-text-name,
    .index-residence-text-article,
    .index-residence-icon{
        opacity: 0;
    }
    .index-residence-title-box.anima .index-residence-title span{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .index-residence-title-box.anima .index-residence-title{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .index-residence-title-box.anima .index-residence-title:before{
        animation: line2 1s ease 0s 1 both;
        opacity: 1;
    }
    .index-residence-text-name.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .index-residence-text-article.anima{
        animation: fadeInDown 1s ease .5s 1 both;
    }
    .index-residence-icon:nth-child(1){
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .index-residence-icon:nth-child(2){
        animation: fadeInUp 1s ease 0.3s 1 both;
    }
    .index-residence-icon:nth-child(3){
        animation: fadeInUp 1s ease 0.6s 1 both;
    }
    .index-residence-icon:nth-child(4){
        animation: fadeInUp 1s ease 0.9s 1 both;
    }
    .index-residence-icon:nth-child(5){
        animation: fadeInUp 1s ease 1.2s 1 both;
    }
}
